# sudo apt install build-essentials bc libxml2-utils
# wget http://releases.linaro.org/components/toolchain/binaries/7.3-2018.05/aarch64-linux-gnu/gcc-linaro-7.3.1-2018.05-x86_64_aarch64-linux-gnu.tar.xz
# wget https://developer.nvidia.com/downloads/embedded/l4t/r32_release_v7.5/sources/t210/public_sources.tbz2
# mkdir kernel/dtb
#
export TOOLCHAIN_PREFIX=/mnt/build3/l4t-gcc/gcc-linaro-7.3.1-2018.05-x86_64_aarch64-linux-gnu/bin/aarch64-linux-gnu-
export JETSON_NANO_KERNEL_SOURCE=/mnt/build3/Linux_for_Tegra/source/public
export KERNEL_OUT=/mnt/build3/Linux_for_Tegra/kernel
export ROOTFS=/mnt/build3/Linux_for_Tegra/rootfs
export TEGRA_KERNEL_OUT=$JETSON_NANO_KERNEL_SOURCE/build
#export KERNEL_MODULES_OUT=$JETSON_NANO_KERNEL_SOURCE/modules
export KERNEL_MODULES_OUT=$ROOTFS
export DTB=tegra210-p3448-0002-p3449-0000-b00.dtb

echo "MODULES_OUT = $KERNEL_MODULES_OUT"
cd $JETSON_NANO_KERNEL_SOURCE
#echo "Make tegra_defconfig"
#make -C kernel/kernel-4.9/ ARCH=arm64 O=$TEGRA_KERNEL_OUT LOCALVERSION=-tegra CROSS_COMPILE=${TOOLCHAIN_PREFIX} tegra_defconfig
echo "Make zImage"
make -C kernel/kernel-4.9/ ARCH=arm64 O=$TEGRA_KERNEL_OUT LOCALVERSION=-tegra CROSS_COMPILE=${TOOLCHAIN_PREFIX} -j8 --output-sync=target zImage
#echo "Make Moduels"
#make -C kernel/kernel-4.9/ ARCH=arm64 O=$TEGRA_KERNEL_OUT LOCALVERSION=-tegra CROSS_COMPILE=${TOOLCHAIN_PREFIX} -j8 --output-sync=target modules
echo "Make dtbs"
make -C kernel/kernel-4.9/ ARCH=arm64 O=$TEGRA_KERNEL_OUT LOCALVERSION=-tegra CROSS_COMPILE=${TOOLCHAIN_PREFIX} -j8 --output-sync=target dtbs
#sudo make -C kernel/kernel-4.9/ ARCH=arm64 O=$TEGRA_KERNEL_OUT LOCALVERSION=-tegra INSTALL_MOD_PATH=$KERNEL_MODULES_OUT modules_install
cp $JETSON_NANO_KERNEL_SOURCE/build/arch/arm64/boot/Image ${KERNEL_OUT}
#cp $JETSON_NANO_KERNEL_SOURCE/build/arch/arm64/boot/dts/${DTB} ${KERNEL_OUT}/dtb/
cp $JETSON_NANO_KERNEL_SOURCE/build/arch/arm64/boot/dts/*.dtb* ${KERNEL_OUT}/dtb



