#!/bin/bash

sudo apt install -y qemu-user-static
export INST_DIR=$PWD
if [ ! -d downloads ]; then
	mkdir downloads
fi
cd downloads
if [ ! -f jetson-210_linux_r32.7.5_aarch64.tbz2 ]; then
	wget https://developer.nvidia.com/downloads/embedded/l4t/r32_release_v7.5/t210/jetson-210_linux_r32.7.5_aarch64.tbz2
fi
if [ ! -f gcc-linaro-7.3.1-2018.05-x86_64_aarch64-linux-gnu.tar.xz ]; then
	wget https://developer.nvidia.com/embedded/dlc/l4t-gcc-7-3-1-toolchain-64-bit -O gcc-linaro-7.3.1-2018.05-x86_64_aarch64-linux-gnu.tar.xz
fi
if [ ! -f public_sources.tbz2 ]; then
	wget https://developer.nvidia.com/downloads/embedded/l4t/r32_release_v7.5/sources/t210/public_sources.tbz2
fi
if [ ! -f tegra_linux_sample-root-filesystem_r32.7.5_aarch64.tbz2 ]; then
	wget https://developer.nvidia.com/downloads/embedded/l4t/r32_release_v7.5/t210/tegra_linux_sample-root-filesystem_r32.7.5_aarch64.tbz2
fi


cd $INST_DIR
if [ ! -d l4t-gcc ]; then
	mkdir l4t-gcc
	(cd l4t-gcc; tar xf $INST_DIR/downloads/gcc-linaro-7.3.1-2018.05-x86_64_aarch64-linux-gnu.tar.xz)
fi
if [ ! -f Linux_for_Tegra/flash.sh ]; then
	tar xf $INST_DIR/downloads/jetson-210_linux_r32.7.5_aarch64.tbz2
fi
if [ ! -d Linux_for_Tegra/source/public ]; then
	tar xf $INST_DIR/downloads/public_sources.tbz2
fi
if [ ! -d Linux_for_Tegra/source/public/kernel ]; then
	(cd Linux_for_Tegra/source/public; tar xf kernel_src.tbz2)
	(cd Linux_for_Tegra/source/public; patch -p1 <../../../my.patch) 
fi
if [ ! -d Linux_for_Tegra/rootfs/bin ]; then
	cd Linux_for_Tegra/rootfs
	sudo tar xf $INST_DIR/downloads/tegra_linux_sample-root-filesystem_r32.7.5_aarch64.tbz2
	cd $INST_DIR/Linux_for_Tegra
	sudo ./apply_binaries.sh
fi
